## elinks 0.9.1

=== Unicode/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = /usr/local/share
sysconfdir = /usr/local/etc/elinks
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/elinks
pkglibdir = $(libdir)/elinks
pkgincludedir = $(includedir)/elinks

top_builddir = ..

ACLOCAL = aclocal-1.4
AUTOCONF = autoconf
AUTOMAKE = automake-1.4
AUTOHEADER = autoheader

INSTALL = /usr/bin/ginstall -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AWK = gawk
BUILD_INCLUDED_LIBINTL = yes
CATALOGS =  be.gmo bg.gmo ca.gmo cs.gmo da.gmo de.gmo el.gmo es.gmo et.gmo fi.gmo fr.gmo gl.gmo hr.gmo hu.gmo id.gmo is.gmo it.gmo leet.gmo lt.gmo nl.gmo no.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sv.gmo tr.gmo uk.gmo
CATOBJEXT = .gmo
CC = gcc
CONFDIR = /usr/local/etc/elinks
DATADIRNAME = share
GENCAT = gencat
GLIBC21 = yes
GMOFILES =  be.gmo bg.gmo ca.gmo cs.gmo da.gmo de.gmo el.gmo es.gmo et.gmo fi.gmo fr.gmo gl.gmo hr.gmo hu.gmo id.gmo is.gmo it.gmo leet.gmo lt.gmo nl.gmo no.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sv.gmo tr.gmo uk.gmo
GMSGFMT = /usr/bin/msgfmt
GUILE_CFLAGS = 
GUILE_LIBS = 
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = $(top_builddir)/src/intl/gettext/libintl.a 
INTLOBJS = $(GETTOBJS)
INTL_LIBTOOL_SUFFIX_PREFIX = 
LIBGNUTLS_CONFIG = 
LIBICONV = 
LOCALEDIR = /usr/local/share/locale
LUA_CFLAGS = -I/usr/local/include -I/usr/local/include/lua40
LUA_LIBS = -L/usr/local/lib -llua40 -llualib40 -lm
MAKEINFO = makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
PACKAGE = elinks
POFILES =  be.po bg.po ca.po cs.po da.po de.po el.po es.po et.po fi.po fr.po gl.po hr.po hu.po id.po is.po it.po leet.po lt.po nl.po no.po pl.po pt.po pt_BR.po ro.po ru.po sk.po sv.po tr.po uk.po
POSUB = po
RANLIB = ranlib
USE_INCLUDED_LIBINTL = yes
USE_NLS = yes
VERSION = 0.9.1
have_smbclient = no

INCLUDES = -I$(top_srcdir)/src

# The author of automake should be shot, quartered and forced to code in COBOL
# for the rest of his days for the shit he designed - anything forcing me to
# -I. -I$(srcdir) regardless if I want or not is just idiotic. Another totally
# dumb thing is that you can't just use @CONFIG_INCLUDE_SPEC@ in your own .am.

COMPILE = $(CC) -DHAVE_CONFIG_H -I`dirname $(CONFIG_HEADER)` $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)


EXTRA_DIST = *
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
DIST_COMMON =  README Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/Makefile.base
	cd $(top_srcdir) && $(AUTOMAKE) --gnu Unicode/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = Unicode

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu Unicode/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Rule for getting test dependencies right. This is a workaround since
# automake don't support defining subdirs sources
testutils:
	cd $(top_builddir) ; make -C src/util CPPFLAGS="-DDEBUG"

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== contrib/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = /usr/local/share
sysconfdir = /usr/local/etc/elinks
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/elinks
pkglibdir = $(libdir)/elinks
pkgincludedir = $(includedir)/elinks

top_builddir = ..

ACLOCAL = aclocal-1.4
AUTOCONF = autoconf
AUTOMAKE = automake-1.4
AUTOHEADER = autoheader

INSTALL = /usr/bin/ginstall -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AWK = gawk
BUILD_INCLUDED_LIBINTL = yes
CATALOGS =  be.gmo bg.gmo ca.gmo cs.gmo da.gmo de.gmo el.gmo es.gmo et.gmo fi.gmo fr.gmo gl.gmo hr.gmo hu.gmo id.gmo is.gmo it.gmo leet.gmo lt.gmo nl.gmo no.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sv.gmo tr.gmo uk.gmo
CATOBJEXT = .gmo
CC = gcc
CONFDIR = /usr/local/etc/elinks
DATADIRNAME = share
GENCAT = gencat
GLIBC21 = yes
GMOFILES =  be.gmo bg.gmo ca.gmo cs.gmo da.gmo de.gmo el.gmo es.gmo et.gmo fi.gmo fr.gmo gl.gmo hr.gmo hu.gmo id.gmo is.gmo it.gmo leet.gmo lt.gmo nl.gmo no.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sv.gmo tr.gmo uk.gmo
GMSGFMT = /usr/bin/msgfmt
GUILE_CFLAGS = 
GUILE_LIBS = 
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = $(top_builddir)/src/intl/gettext/libintl.a 
INTLOBJS = $(GETTOBJS)
INTL_LIBTOOL_SUFFIX_PREFIX = 
LIBGNUTLS_CONFIG = 
LIBICONV = 
LOCALEDIR = /usr/local/share/locale
LUA_CFLAGS = -I/usr/local/include -I/usr/local/include/lua40
LUA_LIBS = -L/usr/local/lib -llua40 -llualib40 -lm
MAKEINFO = makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
PACKAGE = elinks
POFILES =  be.po bg.po ca.po cs.po da.po de.po el.po es.po et.po fi.po fr.po gl.po hr.po hu.po id.po is.po it.po leet.po lt.po nl.po no.po pl.po pt.po pt_BR.po ro.po ru.po sk.po sv.po tr.po uk.po
POSUB = po
RANLIB = ranlib
USE_INCLUDED_LIBINTL = yes
USE_NLS = yes
VERSION = 0.9.1
have_smbclient = no

INCLUDES = -I$(top_srcdir)/src

# The author of automake should be shot, quartered and forced to code in COBOL
# for the rest of his days for the shit he designed - anything forcing me to
# -I. -I$(srcdir) regardless if I want or not is just idiotic. Another totally
# dumb thing is that you can't just use @CONFIG_INCLUDE_SPEC@ in your own .am.

COMPILE = $(CC) -DHAVE_CONFIG_H -I`dirname $(CONFIG_HEADER)` $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)


EXTRA_DIST = * conv/* guile/* lua/*
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES =  elinks.spec
DIST_COMMON =  README Makefile.am Makefile.in elinks.spec.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/Makefile.base
	cd $(top_srcdir) && $(AUTOMAKE) --gnu contrib/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

elinks.spec: $(top_builddir)/config.status elinks.spec.in
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = contrib

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu contrib/Makefile
	$(mkinstalldirs) $(distdir)/conv $(distdir)/guile $(distdir)/lua
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Rule for getting test dependencies right. This is a workaround since
# automake don't support defining subdirs sources
testutils:
	cd $(top_builddir) ; make -C src/util CPPFLAGS="-DDEBUG"

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== test/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = /usr/local/share
sysconfdir = /usr/local/etc/elinks
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/elinks
pkglibdir = $(libdir)/elinks
pkgincludedir = $(includedir)/elinks

top_builddir = ..

ACLOCAL = aclocal-1.4
AUTOCONF = autoconf
AUTOMAKE = automake-1.4
AUTOHEADER = autoheader

INSTALL = /usr/bin/ginstall -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AWK = gawk
BUILD_INCLUDED_LIBINTL = yes
CATALOGS =  be.gmo bg.gmo ca.gmo cs.gmo da.gmo de.gmo el.gmo es.gmo et.gmo fi.gmo fr.gmo gl.gmo hr.gmo hu.gmo id.gmo is.gmo it.gmo leet.gmo lt.gmo nl.gmo no.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sv.gmo tr.gmo uk.gmo
CATOBJEXT = .gmo
CC = gcc
CONFDIR = /usr/local/etc/elinks
DATADIRNAME = share
GENCAT = gencat
GLIBC21 = yes
GMOFILES =  be.gmo bg.gmo ca.gmo cs.gmo da.gmo de.gmo el.gmo es.gmo et.gmo fi.gmo fr.gmo gl.gmo hr.gmo hu.gmo id.gmo is.gmo it.gmo leet.gmo lt.gmo nl.gmo no.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sv.gmo tr.gmo uk.gmo
GMSGFMT = /usr/bin/msgfmt
GUILE_CFLAGS = 
GUILE_LIBS = 
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = $(top_builddir)/src/intl/gettext/libintl.a 
INTLOBJS = $(GETTOBJS)
INTL_LIBTOOL_SUFFIX_PREFIX = 
LIBGNUTLS_CONFIG = 
LIBICONV = 
LOCALEDIR = /usr/local/share/locale
LUA_CFLAGS = -I/usr/local/include -I/usr/local/include/lua40
LUA_LIBS = -L/usr/local/lib -llua40 -llualib40 -lm
MAKEINFO = makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
PACKAGE = elinks
POFILES =  be.po bg.po ca.po cs.po da.po de.po el.po es.po et.po fi.po fr.po gl.po hr.po hu.po id.po is.po it.po leet.po lt.po nl.po no.po pl.po pt.po pt_BR.po ro.po ru.po sk.po sv.po tr.po uk.po
POSUB = po
RANLIB = ranlib
USE_INCLUDED_LIBINTL = yes
USE_NLS = yes
VERSION = 0.9.1
have_smbclient = no

INCLUDES = -I$(top_srcdir)/src

# The author of automake should be shot, quartered and forced to code in COBOL
# for the rest of his days for the shit he designed - anything forcing me to
# -I. -I$(srcdir) regardless if I want or not is just idiotic. Another totally
# dumb thing is that you can't just use @CONFIG_INCLUDE_SPEC@ in your own .am.

COMPILE = $(CC) -DHAVE_CONFIG_H -I`dirname $(CONFIG_HEADER)` $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)


EXTRA_DIST = *
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
DIST_COMMON =  README Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/Makefile.base
	cd $(top_srcdir) && $(AUTOMAKE) --gnu test/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = test

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu test/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Rule for getting test dependencies right. This is a workaround since
# automake don't support defining subdirs sources
testutils:
	cd $(top_builddir) ; make -C src/util CPPFLAGS="-DDEBUG"

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## elinks 0.9.3-1ubuntu1

=== debian/changelog ===
elinks (0.9.3-1ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Michael Vogt <mvo@debian.org>  Fri,  7 Jan 2005 13:46:06 +0100

elinks (0.9.3-1) unstable; urgency=low

  * New upstream release

 -- Peter Gervai <grin@tolna.net>  Sun, 21 Nov 2004 14:08:25 +0100

elinks (0.9.1+0.9.2pre4-1ubuntu1) hoary; urgency=low

  * Don't build-dep on type-handling

 -- Thom May <thom@canonical.com>  Wed, 27 Oct 2004 13:38:43 +0100
  

elinks (0.9.1+0.9.2rc4-2) unstable; urgency=low

  * fix naming (it's rc [release candidate] and not pre[release])
  * fix rules to use /etc/elinks for configure (closes: #267962)

 -- Peter Gervai <grin@tolna.net>  Wed, 11 Aug 2004 15:57:53 +0200

elinks (0.9.1+0.9.2pre4-1) unstable; urgency=low

  * new upstream version 0.9.2pre4
  * remove kderemove from menu (closes: #264402)
  * recompiled with gnutls11 (closes: #263633)
  * FTBFS on GNU/Hurd (and GNU/k*BSD) (closes: #262350)

 -- Peter Gervai <grin@tolna.net>  Sun,  8 Aug 2004 23:48:47 +0200

elinks (0.9.1+0.9.2pre3-1) unstable; urgency=low

  * New upstream pre-release 0.9.2pre3. (closes: #262306)
  * Don't read nonexistant hooks.lua (closes: #231760)
  * README.Debian updated by "I forgot to read the docs" 
    questions (closes: #209046, #234589)
  * fix accept-charset problem (closes: #242524)
  * Updated build-deps based on buildd's hints, removed xlib-dev
    (closes: #231646)
  * Changed 'make prefix=' to 'make DESTDIR=' in rules (closes: #234991)
  * Removed outdated example dir (now included upstream)
  * Removed debconf warning about cookies (closes: #235816)

 -- Peter Gervai <grin@tolna.net>  Fri, 30 Jul 2004 23:38:42 +0200

elinks (0.9.1-1) unstable; urgency=low

  * New upstream release. (Closes: #226941)
  * Features: Standard, IPv6, gzip, bzip2, SSL (GnuTLS), MIME (Option
    system, Mailcap, Mimetypes files), Bookmarks, Cookies, Forms History, 
    Global History, URI rewrite, Scripting (Lua)
  * Droppend dep on xlibs (no xterm title restore) (Partially fixing
    #218453)
  * Depends on newer gnutls10 and liblua50

 -- Peter Gervai <grin@tolna.net>  Wed, 21 Jan 2004 22:13:45 +0100

elinks (0.4.2.99-1) unstable; urgency=low

  * New upstream release 0.4.3rc2
  * Manpage fixed (Closes: #210305, #212491)
  * No segfault when deleting bookmarks (Closes: #193119)
  * Install www-browser alternative (Closes: #184981)
  * ~user handled better (Closes: #181731)
  * Overwrite truncates file first (Closes: #186052)
  * Links/elinks selection now handled automagically (Closes: #168692)
  * Elinks starts with the "goto URL" dialog, not a blank 
    screen (Closes: #206932)
  * Remove CVS entries from package
  * Numerous upstream bugfixes.

 -- Peter Gervai <grin@tolna.net>  Thu,  9 Oct 2003 00:24:41 +0200

elinks (0.4.2-1) unstable; urgency=low

  * New upstream release 0.4.2.
  * New style config UI (Closes: #167928, #169908)
  * Includes spanish debconf template (Closes: #158576)
  * Fixes linking problem with some renegade lib (Closes: #176401)
  * Fixes 'bad url syntax' problem (Closes: #177335)
  * Defines as /usr/bin/links alternative (Closes: #164058, #168692)

 -- Peter Gervai <grin@tolna.net>  Thu, 30 Jan 2003 01:09:34 +0100

elinks (0.3.20021004-1) unstable; urgency=low

  * New upstream release 0.4pre17
  * Config moved into /etc/elinks/ (closes: #158666)

 -- Peter Gervai <grin@tolna.net>  Fri,  4 Oct 2002 15:58:19 +0200

elinks (0.3.20020825-2) unstable; urgency=low

  * spanish debconf translation (closes: #158576)

 -- Peter Gervai <grin@tolna.net>  Wed, 28 Aug 2002 12:04:19 +0200

elinks (0.3.20020825-1) unstable; urgency=low

  * New upstream version 0.4pre14
  * Fixed a bug when elinks falls into infinite waiting loops
  * Compiled against new gnutls package (patched upstream to
    use gnutls/*.h... it used to work...)

 -- Peter Gervai <grin@tolna.net>  Sun, 25 Aug 2002 12:07:21 +0200

elinks (0.3.20020808-1) unstable; urgency=low

  * New upstream version 0.4pre12
  * Fixed lots of bugs, including stopping in the middle of a long 
    transfer ("slashdot problem", closes: #154938), cookie expiration
    (closes: #154664), self referer problem (closes: #154778).
  * Removed duplicate contrib/ dirs (bug in upstream's cvs, Closes: #154860)

 -- Peter Gervai <grin@tolna.net>  Thu,  8 Aug 2002 12:24:39 +0200

elinks (0.3.20020711-2) unstable; urgency=low

  * Disabled default cookie saving to disk due Bug#154664, because
    ELinks does not expire cookies all the time, and it causes 
    problems with remembered logins which should have been forgotten.
    You have to change ~/.elinks/elinks.conf though.

 -- Peter Gervai <grin@tolna.net>  Mon, 29 Jul 2002 22:21:02 +0200

elinks (0.3.20020711-1) unstable; urgency=low

  * Version 0.4pre12 upstream.
  * Package separated from links. This package is _preferred_ to
    the package 'links', because this contains plenty of useful
    features, including cookies (save too), referer handling,
    advanced configuration, LUA script language, and so on.
  * Before reporting bugs please check against the bugs of
    'links' and 'links-ssl'.  Thank you.

 -- Peter Gervai <grin@tolna.net>  Thu, 11 Jul 2002 17:38:09 +0200

links-ssl (0.96.20020711-1) unstable; urgency=low

  * New upstream release (v0.7pre12)
  * Fixes DNS bug (closes: ...)
  * Fix some crashes

 -- Peter Gervai <grin@tolna.net>  Thu, 11 Jul 2002 12:28:17 +0200

links-ssl (0.96.20020607-1) unstable; urgency=low

  * New upstream release (v0.4pre7)

 -- Peter Gervai <grin@tolna.net>  Fri,  7 Jun 2002 17:28:18 +0000

links-ssl (0.96.20020409-2) unstable; urgency=low

  * Using new lua libraries (liblua40 / liblualib40) (closes: #141327)
  * Updated Readme (closes: #141542)

 -- Peter Gervai <grin@Tolna.net>  Mon, 15 Apr 2002 18:42:32 +0200

links-ssl (0.96.20020409-1) unstable; urgency=low

  * New upstream version (eLinks 04.pre5)
  * Again, plenty of bugs fixed and some features added (including,
    but not limited to history search and selection). 


=== debian/control ===
Source: elinks
Section: web
Priority: optional
Maintainer: Peter Gervai <grin@tolna.net>
Standards-Version: 3.5.6.1
Build-Depends: debhelper (>= 4.0.0), m4, bison, libgnutls11-dev, libgpmg1-dev [alpha arm hppa i386 ia64 m68k mips mipsel powerpc s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64 amd64], liblua50-dev, liblualib50-dev, libbz2-dev, libexpat1-dev (>= 1.95.6)

Package: elinks
Architecture: any
Depends: ${shlibs:Depends}, debconf
Provides: links, www-browser
Description: Character mode WWW/FTP browser
 ELinks (Enhanced Links) is a lynx-like character mode browser,
 created from the Links browser with many patches and enhancements.
 It includes support for rendering tables and frames, features 
 background downloads, can display colors, supports the Lua scripting
 language, IPV6 and has many other features. ELinks is linked against
 GNUTLS to prevent license issues.

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules 228 2004-08-30 15:21:07Z grin $
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=2   # this should work if your debhelper is older!
export DH_COMPAT=4

build: build-stamp
build-stamp:
	dh_testdir

	# compiling without X, since it only needed for RESETTING xterm title
	# comp. with GNUTLS due to license restictions.
	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
	--sysconfdir=/etc/elinks \
	--without-openssl --without-x --with-gnutls=/usr
	# --enable-leds --enable-debug
	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf debian/elinks/

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean -XChangelog.orig

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/elinks.
	$(MAKE) install DESTDIR=`pwd`/debian/elinks
	
	mkdir -p debian/elinks/etc/elinks
	install -o root -g root -m 644 debian/elinks.conf debian/elinks/etc/elinks/elinks.conf
# KDE menu integration
	mkdir -p debian/elinks/usr/share/applnk/Internet/
	cp debian/elinks.desktop debian/elinks/usr/share/applnk/Internet/
# upstream CVS bug hack: remove double contrib dirs
	rm -rf contrib/lua/lua contrib/conv/conv contrib/guile/guile || true
# remove CVS directories
	find . -name CVS -exec rm -rf "{}" \; || true
# locale.alias causes conflicts and I believe it's not necessary
	rm -f debian/elinks/usr/share/locale/locale.alias || true

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs AUTHORS SITES TODO BUGS
	dh_installexamples contrib/ debian/elinks.conf
#contrib/*
	dh_installmime
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
##	dh_installcron
	dh_installmanpages

# comment out for slink:
##	dh_installinfo

#	dh_undocumented
	dh_installchangelogs ChangeLog changelog.orig

# comment out for slink:
##	dh_link
	
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
##	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## elinks 0.11.3

=== po/Makefile ===
top_builddir=..
include $(top_builddir)/Makefile.config

# Where to install the catalog files.
localedir = $(datadir)/locale

# These are for some reason not added magically to the Makefile.
MSGMERGE = msgmerge

# Name of the file containing the list of files to translate (used by
# xgettext) 
POTFILES_ABS_LIST = potfiles.list

POTFILES_REL = $(shell find $(top_srcdir)/src/ -name '*.[ch]' -o -name options.inc -o -name 'actions-*.inc' | sort)

quiet_cmd_gmsgfmt = ' [$(PO_COLOR)GMSGFMT$(END_COLOR)]   $(RELPATH)$(@)'
      cmd_gmsgfmt = rm -f -- "$@" && $(GMSGFMT) --statistics -o "$@" -- "$<"


# Distributed elinks-*.tar.gz packages include po/*.gmo files, so that
# users can install ELinks even if they don't have a msgfmt program.
# However, if srcdir != builddir, then this Makefile ignores the *.gmo
# files in the srcdir and builds new ones in the builddir.
%.gmo: $(srcdir)%.po
	$(call ecmd,gmsgfmt)


### The default rule
#
# Note: Target `all-local' must not depend on target '$(srcdir)$(PACKAGE).pot',
# otherwise packages like GCC can not be built if only parts of the source have
# been downloaded.
#
# Note 2: We aren't gcc, we are ELinks. And I want that dependency ;-). --pasky
#
# Note 3: I changed my mind, it is really annoying if you just insert one line
# and suddenly you have tons of changes in all the .po files updating the line
# informations. --pasky
#
# $(CATALOGS) is empty if --disable-nls. Beats using *-(yes|no) targets.

all-local: $(CATALOGS)


### Creating the template po template file
#
# This pulls in _all_ .c and .h files in the src directory. Even files that has
# not been added to the git repo. Beware of junk entries!

$(srcdir)$(POTFILES_ABS_LIST): $(POTFILES_REL)
	@( cd $(top_srcdir); \
	  find src/ -type f -name '*.[ch]' -o -name options.inc -o -name 'actions-*.inc' | sort ) \
	 > $(srcdir)$(POTFILES_ABS_LIST)

$(srcdir)$(PACKAGE).pot: $(srcdir)$(POTFILES_ABS_LIST)
	$(XGETTEXT) --default-domain=$(PACKAGE) \
		    --directory=$(top_srcdir) \
		    --add-comments --language=C \
		    --keyword=_ --keyword=N_ --keyword=n_:1,2 --keyword=N__ -f $(srcdir)$(POTFILES_ABS_LIST) \
	&& test -f $(PACKAGE).po \
	&& mv -f $(PACKAGE).po $(srcdir)$(PACKAGE).pot 


### Updating po and gmo files
#
# Update by merging all .po files with the .po template master file.
#
# It is possible to update only a single .po file by setting the PO variable to
# either <lang> or <lang>.po when calling make. Example: make update-po PO=is

update-po: Makefile $(srcdir)$(PACKAGE).pot
	@test -z "$(srcdir)" || cd $(srcdir)
	@$(foreach lang,$(basename $(if $(strip $(PO)),$(PO),$(GMOFILES))), \
	  echo -n "$(lang): "; \
	  if $(MSGMERGE) $(srcdir)$(lang).po $(srcdir)$(PACKAGE).pot -o $(lang).new.po; then \
	    mv -f $(lang).new.po $(srcdir)$(lang).po; \
	  else \
	    echo "msgmerge failed!"; \
	    rm -f $(lang).new.po; \
	  fi; \
	)
	$(MAKE) update-gmo

update-gmo: Makefile $(GMOFILES)
	@:


### Check single or all po files
#

check-po:
	@$(foreach lang,$(basename $(if $(strip $(PO)),$(PO),$(GMOFILES))), \
	  echo -n "$(lang): "; \
	  $(GMSGFMT) --check --check-accelerators="~" --verbose --statistics -o /dev/null $(srcdir)$(lang).po; \
	)

### Installation and distribution
#
# Use *-local targets to place and remove .gmo files.

install-local: all-local
	$(MKINSTALLDIRS) $(DESTDIR)$(localedir)
	@$(foreach lang,$(basename $(if $(strip $(PO)),$(PO),$(CATALOGS))), \
		$(MKINSTALLDIRS) $(DESTDIR)$(localedir)/$(lang)/LC_MESSAGES; \
		$(call ncmd,installdata,$(lang).gmo,$(DESTDIR)$(localedir)/$(lang)/LC_MESSAGES/$(PACKAGE).mo); \
	)

clean-local:
	@rm -f $(PACKAGE).po *.new.po $(srcdir)$(POTFILES_ABS_LIST)

include $(top_srcdir)/Makefile.lib

=== src/cache/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS = cache.o dialogs.o

include $(top_srcdir)/Makefile.lib

=== src/osdep/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config
INCLUDES += $(X_CFLAGS)

SUBDIRS-$(CONFIG_BEOS)		+= beos
SUBDIRS-$(CONFIG_OS2)		+= os2
SUBDIRS-$(CONFIG_RISCOS)	+= riscos
SUBDIRS-$(CONFIG_UNIX)		+= unix
SUBDIRS-$(CONFIG_WIN32)		+= win32

OBJS = \
 getifaddrs.o \
 newwin.o \
 osdep.o \
 signals.o \
 stub.o \
 sysname.o

include $(top_srcdir)/Makefile.lib

=== src/scripting/smjs/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

INCLUDES += $(SPIDERMONKEY_CFLAGS)

OBJS = smjs.o core.o global_object.o hooks.o elinks_object.o cache_object.o \
       view_state_object.o bookmarks.o keybinding.o

include $(top_srcdir)/Makefile.lib

## elinks 0.11.4

=== src/protocol/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

SUBDIRS-$(CONFIG_BITTORRENT)	+= bittorrent
SUBDIRS-$(CONFIG_FINGER)	+= finger
SUBDIRS-$(CONFIG_FSP)		+= fsp
SUBDIRS-$(CONFIG_FTP)		+= ftp
SUBDIRS-$(CONFIG_GOPHER)	+= gopher
SUBDIRS-$(CONFIG_NNTP)		+= nntp
SUBDIRS-$(CONFIG_SMB)		+= smb
SUBDIRS-$(CONFIG_URI_REWRITE)	+= rewrite

SUBDIRS = auth file http

OBJS-$(CONFIG_DATA)		+= data.o
OBJS-$(CONFIG_CGI)		+= common.o
OBJS-$(CONFIG_FSP)		+= common.o
OBJS-$(CONFIG_SMB)		+= common.o

OBJS = about.o date.o header.o protocol.o proxy.o uri.o user.o

include $(top_srcdir)/Makefile.lib

=== src/mime/backend/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

OBJS-$(CONFIG_MAILCAP)		+= mailcap.o
OBJS-$(CONFIG_MIMETYPES)	+= mimetypes.o

OBJS = common.o default.o

TEST_PROGS = \
 mailcap-cache

# The dependencies are a bit funny here! I don't know why. Just remember to
# make clean before making the test. --jonas
mailcap-cache.o: mailcap.c
	$(call cmd,compile,-DTEST_MAILCAP)

TESTDEPS = \
 common.o \
 $(top_builddir)/src/osdep/osdep.o \
 $(top_builddir)/src/osdep/stub.o \
 $(top_builddir)/src/util/conv.o \
 $(top_builddir)/src/util/error.o \
 $(top_builddir)/src/util/file.o \
 $(top_builddir)/src/util/hash.o \
 $(top_builddir)/src/util/memory.o \
 $(top_builddir)/src/util/string.o \
 $(top_builddir)/src/util/time.o

TESTDEPS-$(CONFIG_NLS)	 += $(top_builddir)/src/intl/gettext/lib.o

include $(top_srcdir)/Makefile.lib

=== src/scripting/python/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

INCLUDES += $(PYTHON_CFLAGS)

OBJS = python.o hooks.o core.o

include $(top_srcdir)/Makefile.lib
